Bug 1564448 - [abrt] libgsf: mem_error(): gsf-office-thumbnailer killed by SIGABRT
Summary: [abrt] libgsf: mem_error(): gsf-office-thumbnailer killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: libgsf
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:82433bbeffd3da8cf0c9c2a485e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-06 10:24 UTC by David
Modified: 2018-11-30 22:01 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 22:01:13 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (14.29 KB, text/plain)
2018-04-06 10:25 UTC, David
no flags Details
File: cgroup (289 bytes, text/plain)
2018-04-06 10:25 UTC, David
no flags Details
File: core_backtrace (5.72 KB, text/plain)
2018-04-06 10:25 UTC, David
no flags Details
File: cpuinfo (1.26 KB, text/plain)
2018-04-06 10:25 UTC, David
no flags Details
File: dso_list (2.35 KB, text/plain)
2018-04-06 10:25 UTC, David
no flags Details
File: environ (4.66 KB, text/plain)
2018-04-06 10:25 UTC, David
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-06 10:25 UTC, David
no flags Details
File: maps (13.36 KB, text/plain)
2018-04-06 10:25 UTC, David
no flags Details
File: mountinfo (4.09 KB, text/plain)
2018-04-06 10:25 UTC, David
no flags Details
File: open_fds (257 bytes, text/plain)
2018-04-06 10:25 UTC, David
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2018-04-06 10:25 UTC, David
no flags Details
Offending file (21.39 KB, application/zip)
2018-04-06 13:04 UTC, David
no flags Details

Description David 2018-04-06 10:24:57 UTC
Description of problem:
Opening PcmanFM on my home folder triggers it every time.

The offending is a simple docx file.

Version-Release number of selected component:
libgsf-1.14.41-4.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        gsf-office-thumbnailer -i /home/david/Indo-Sweden-ProgramSchedule.docx -o /home/david/.thumbnails/normal/87ea298f565dcb10b03381add8c026b0.png -s 128
crash_function: mem_error
executable:     /usr/bin/gsf-office-thumbnailer
journald_cursor: s=c31ce3416b9f4f3186101eefcb7a14d2;i=1ff3ff;b=eff48c29a1c74c1e91a9aeff509fbadf;m=11a863d123;t=5692b14877161;x=50b91b9271d7c6fb
kernel:         4.15.14-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 mem_error at gslice.c:1472
 #3 allocator_add_slab at gslice.c:1291
 #4 slab_allocator_alloc_chunk at gslice.c:1330
 #5 magazine_cache_pop_magazine at gslice.c:726
 #6 thread_memory_magazine1_reload at gslice.c:801
 #7 g_slice_alloc at gslice.c:1014
 #8 g_slice_alloc0 at gslice.c:1051
 #9 g_type_create_instance at gtype.c:1848
 #10 g_object_constructor at gobject.c:2146
 #11 gsf_input_gzip_constructor at gsf-input-gzip.c:467

Comment 1 David 2018-04-06 10:25:09 UTC
Created attachment 1418043 [details]
File: backtrace

Comment 2 David 2018-04-06 10:25:11 UTC
Created attachment 1418044 [details]
File: cgroup

Comment 3 David 2018-04-06 10:25:13 UTC
Created attachment 1418045 [details]
File: core_backtrace

Comment 4 David 2018-04-06 10:25:15 UTC
Created attachment 1418046 [details]
File: cpuinfo

Comment 5 David 2018-04-06 10:25:17 UTC
Created attachment 1418047 [details]
File: dso_list

Comment 6 David 2018-04-06 10:25:20 UTC
Created attachment 1418048 [details]
File: environ

Comment 7 David 2018-04-06 10:25:22 UTC
Created attachment 1418049 [details]
File: limits

Comment 8 David 2018-04-06 10:25:25 UTC
Created attachment 1418050 [details]
File: maps

Comment 9 David 2018-04-06 10:25:27 UTC
Created attachment 1418051 [details]
File: mountinfo

Comment 10 David 2018-04-06 10:25:29 UTC
Created attachment 1418052 [details]
File: open_fds

Comment 11 David 2018-04-06 10:25:31 UTC
Created attachment 1418053 [details]
File: proc_pid_status

Comment 12 Caolan McNamara 2018-04-06 11:49:58 UTC
are you able to attach the offending docx ?

Comment 13 David 2018-04-06 13:04:32 UTC
Created attachment 1418128 [details]
Offending file

Here it is.

Comment 14 Ben Cotton 2018-11-27 15:08:27 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2018-11-30 22:01:13 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.